
export default [
  { path: '/', redirect: '/login' },
  /* 如果所有页面都没找到 - 指向 */
  { path: '*', component: () => import('@/components/errorPages/404.vue') },
  /* 登录页面 */
  {
    path: '/login',
    name: 'login',
    component: () => import('../pages/login/index.vue')
  },
  /* 我的页面 */
  {
    path: '/my',
    name: 'my',
    component: () => import('../pages/my/index.vue')
  },
  /* 首页列表页 */
  {
    path: '/index',
    name: 'index',
    component: () => import('../pages/list/index.vue')
  },
  /* 首页列表页详情 */
  {
    path: '/details',
    name: 'details',
    component: () => import('../pages/list/details.vue')
  },
  /* 直播回放 */
  {
    path: '/liveBack/:room_id',
    name: 'liveBack',
    component: () => import('../pages/list/livePlayback.vue')
  }
]
